: Interface nsIMdbStore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.mdb
Interface nsIMdbStore

public abstract interface nsIMdbStore
extends nsIMdbPort

Method Summary
`void` | `AvoidAtomColumnsHint(nsIMdbEnv ev, grendel.storage.mdb.mdbColumnSet inColumnSet)`
`grendel.storage.mdb.nsIMdbThumb` | `CompressCommit(nsIMdbEnv ev)`
`grendel.storage.mdb.nsIMdbThumb` | `ImportContent(nsIMdbEnv ev, int inRowScope, nsIMdbPort ioPort)`
`grendel.storage.mdb.nsIMdbThumb` | `LargeCommit(nsIMdbEnv ev)`
`nsIMdbRow` | `NewRow(nsIMdbEnv ev, int inRowScope)`
`nsIMdbRow` | `NewRowWithOid(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`nsIMdbTable` | `NewTable(nsIMdbEnv ev, int inRowScope, int inTableKind, boolean inMustBeUnique)`
`boolean` | `RowScopeHasAssignedIds(nsIMdbEnv ev, int inRowScope)`
`grendel.storage.mdb.nsIMdbThumb` | `SessionCommit(nsIMdbEnv ev)`
`boolean` | `SetCallerAssignedIds(nsIMdbEnv ev, int inRowScope)`
`boolean` | `SetStoreAssignedIds(nsIMdbEnv ev, int inRowScope)`
`void` | `ShareAtomColumnsHint(nsIMdbEnv ev, int inScopeHint, grendel.storage.mdb.mdbColumnSet inColumnSet)`
`void` | `SmallCommit(nsIMdbEnv ev)`

Methods inherited from interface grendel.storage.mdb.nsIMdbPort
`BestExportFormat, CanExportToFormat, ExportToFormat, GetFormatVersion, GetIsPortReadonly, GetIsStore, GetIsStoreAndDirty, GetPortFilePath, GetPortTableCursor, GetRow, GetRowRefCount, GetTable, GetTableKind, GetTableKindCount, GetUsagePolicy, HasRow, HasTable, HasTableKind, IdleMemoryPurge, PanicMemoryPurge, QueryToken, SessionMemoryPurge, SetUsagePolicy, StringToToken, TokenToString`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### NewTable

    public nsIMdbTable NewTable(nsIMdbEnv ev,
                                int inRowScope,
                                int inTableKind,
                                boolean inMustBeUnique)

### RowScopeHasAssignedIds

    public boolean RowScopeHasAssignedIds(nsIMdbEnv ev,
                                          int inRowScope)

### SetCallerAssignedIds

    public boolean SetCallerAssignedIds(nsIMdbEnv ev,
                                        int inRowScope)

### SetStoreAssignedIds

    public boolean SetStoreAssignedIds(nsIMdbEnv ev,
                                       int inRowScope)

### NewRowWithOid

    public nsIMdbRow NewRowWithOid(nsIMdbEnv ev,
                                   grendel.storage.mdb.mdbOid inOid)

### NewRow

    public nsIMdbRow NewRow(nsIMdbEnv ev,
                            int inRowScope)

### ImportContent

    public grendel.storage.mdb.nsIMdbThumb ImportContent(nsIMdbEnv ev,
                                                         int inRowScope,
                                                         nsIMdbPort ioPort)

### ShareAtomColumnsHint

    public void ShareAtomColumnsHint(nsIMdbEnv ev,
                                     int inScopeHint,
                                     grendel.storage.mdb.mdbColumnSet inColumnSet)

### AvoidAtomColumnsHint

    public void AvoidAtomColumnsHint(nsIMdbEnv ev,
                                     grendel.storage.mdb.mdbColumnSet inColumnSet)

### SmallCommit

    public void SmallCommit(nsIMdbEnv ev)

### LargeCommit

    public grendel.storage.mdb.nsIMdbThumb LargeCommit(nsIMdbEnv ev)

### SessionCommit

    public grendel.storage.mdb.nsIMdbThumb SessionCommit(nsIMdbEnv ev)

### CompressCommit

    public grendel.storage.mdb.nsIMdbThumb CompressCommit(nsIMdbEnv ev)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD